image: node:latest

pages:
  cache:
    paths:
    - node_modules/

  stage: deploy
  script:
  - npm install -g @angular/cli@10.1.1
  - npm install
  - ng build --prod --base-href /mal-viewer/
  - mkdir -p public
  - mv dist/mal-viewer/* public/
  artifacts:
    paths:
    - public
  only:
    - main

